Upgrade a Deployment to a new Elastic Stack version Technical preview

POST /deployments/{deployment_id}/upgrade

Important: This API is currently in Tech Preview. While available for use, it is subject to change. Upgrades all resources (Elasticsearch, Kibana, APM, Enterprise Search, etc.) in the deployment to the specified Elastic Stack version. Both the current deployment version and the target version must be >= 8.0.0.

Path parameters

  • deployment_id string Required

    Identifier for the Deployment

application/json

Body Required

Target version must be >= 8.0.0.

  • target_version string Required

    Target Elastic Stack version to which to upgrade

Responses

  • 202 application/json

    Deployment upgrade initiated successfully

  • 400 application/json
    • The specified version is invalid or not available. (code: deployments.invalid_version)
    • The target version must be >= 8.0.0. (code: deployments.upgrade.target_version_must_be_above_8_0_0)
    • The current deployment version must be >= 8.0.0. (code: deployments.upgrade.source_version_must_be_above_8_0_0)
    • The target version must be greater than the current deployment version. (code: deployments.upgrade_path_not_allowed)
    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Values are deployments.invalid_version, deployments.upgrade.target_version_must_be_above_8_0_0, deployments.upgrade.source_version_must_be_above_8_0_0, or deployments.upgrade_path_not_allowed.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

  • 404 application/json

    The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)

    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Value is deployments.deployment_not_found.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

  • 409 application/json

    A resource in the deployment has a failed last plan attempt. Resolve it before upgrading. (code: deployments.upgrade_deployment_resource_last_plan_failed)

    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Value is deployments.upgrade_deployment_resource_last_plan_failed.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

  • 500 application/json

    Failed to upgrade the deployment. (code: deployments.upgrade_internal_error)

    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Value is deployments.upgrade_internal_error.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

POST /deployments/{deployment_id}/upgrade
curl \
 --request POST 'https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/upgrade' \
 --header "Content-Type: application/json" \
 --data '{"target_version":"string"}'